API referenceTemplates

Get a template

GET
/v2/templates/{id}

With its components and the body variables a send must fill.

Authorization

ApiKey
headerAuthorizationBearer <token>

An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).

Path Parameters

id*string

The template id.

Formatuuid

Header Parameters

Gauge-Version?string

A dated version. Default 2026-10-21.

Response Body

The template.

application/json
  1. response
id*string
Formatuuid
connectionId*string
Formatuuid
name*string
language*string
category*string
status*string
body*string
components?unknown
variables*array<string>
rejectionReason*string|null
qualityRating*string|null
createdAt*string
updatedAt*string
Example Request
curl -X GET 'https://app.gauge.chat/api/v2/templates/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d",  "name": "string",  "language": "string",  "category": "string",  "status": "string",  "body": "string",  "components": null,  "variables": [    "string"  ],  "rejectionReason": "string",  "qualityRating": "string",  "createdAt": "string",  "updatedAt": "string"}